-- =============================================
-- Author:		<Federica Cianfa>
-- Create date: <25/09/2014>
-- Description:	<SP che estrae i dati dalle tb C6MartPeriodico.TB_S80_S129_EvoluzioneCTVPatrimonio e C6MartPeriodico.TB_S80BisEvoluzioneRischio per il controllo dei dati S80 per QC>
-- =============================================
CREATE procedure [dbo].[creaExcelVerificaCampioneS80_excel]
AS
BEGIN
drop table if exists c6martperiodico.VerificaS80Campione
create table c6martperiodico.VerificaS80Campione(
rete varchar(3),
cf varchar(32),
Type varchar(100),
[Data riferimento] datetime,
[Extra rendimento] varchar (100),
Investimento varchar(100),
Previdenza varchar(100),
Riserva varchar(100),
Liquidità varchar(100),
[Totale risorse allocate] varchar(100),
[Risorse non allocate] varchar(100),
[Scoperto di Conto Corrente] varchar(100),
[Investimenti in corso] varchar (100),
[Totale patrimonio] varchar (100),
[VaR massimo profilo finanziario] varchar (100),
[Rischio Mercato (VaR%)] varchar (100),
Copertura varchar (100),
[Rischio Credito Massimo] varchar(100),
[Rischio Credito] varchar(100)
);
insert into c6martperiodico.VerificaS80Campione
exec  [dbo].[creaExcelVerificaCampioneS80];
--exec [dbo].[creaExcelVerificaCampioneS80]
update c6martperiodico.VerificaS80Campione
set [Rischio Credito]='n.a.'
from c6martperiodico.VerificaS80Campione
where [Rischio Credito]='5.000'
update c6martperiodico.VerificaS80Campione
set [Rischio Credito]='n.d.'
from c6martperiodico.VerificaS80Campione
where [Rischio Credito] is NULL
select * from c6martperiodico.VerificaS80Campione
END